Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.file
Interface CopyProcessingSpec

All Superinterfaces:
  ContentFilterable

All Known Subinterfaces:
  CopyAction, CopySpec

All Known Implementing Classes:
  AbstractArchiveTask, AbstractCopyTask, Copy, ProcessResources, Sync, Tar, Zip

    public interface CopyProcessingSpec

extends ContentFilterable

Method Summary
`CopyProcessingSpec` | `eachFile(Action<? super FileCopyDetails> action)` Adds an action to be applied to each file as it about to be copied into its destination.
`CopyProcessingSpec` | `eachFile(Closure closure)` Adds an action to be applied to each file as it about to be copied into its destination.
`int` | `getDirMode()` Returns the Unix permissions to use for the target directories.
`int` | `getFileMode()` Returns the Unix permissions to use for the target files.
`CopyProcessingSpec` | `into(Object destPath)` Specifies the destination directory for a copy.
`CopyProcessingSpec` | `rename(Closure closure)` Renames a source file to a different relative location under the target directory.
`CopyProcessingSpec` | `rename(Pattern sourceRegEx, String replaceWith)` Renames files based on a regular expression.
`CopyProcessingSpec` | `rename(String sourceRegEx, String replaceWith)` Renames files based on a regular expression.
`CopyProcessingSpec` | `setDirMode(int mode)` Sets the Unix permissions to use for the target directories.
`CopyProcessingSpec` | `setFileMode(int mode)` Sets the Unix permissions to use for the target files.

Methods inherited from interface org.gradle.api.file.ContentFilterable
`expand, filter, filter, filter`

Method Detail

### into

    CopyProcessingSpec into(Object destPath)

  Specifies the destination directory for a copy. The destination is evaluated as for `Project.file(Object)`.

  Parameters:
    `destPath` - Path to the destination directory for a Copy
  Returns:
    this

### rename

    CopyProcessingSpec rename(Closure closure)

  Renames a source file to a different relative location under the target directory. The closure will be called with a single parameter, the name of the file. The closure should return a String object with a new target name. The closure may return null, in which case the original name will be used.

  Parameters:
    `closure` - rename closure
  Returns:
    this

### rename

    CopyProcessingSpec rename(String sourceRegEx,
                              String replaceWith)

  Renames files based on a regular expression. Uses java.util.regex type of regular expressions. Note that the replace string should use the '$1' syntax to refer to capture groups in the source regular expression. Files that do not match the source regular expression will be copied with the original name.

  Example:

       rename '(.*)_OEM_BLUE_(.*)', '$1$2'

  would map the file 'style_OEM_BLUE_.css' to 'style.css'

  Parameters:
    `sourceRegEx` - Source regular expression
    `replaceWith` - Replacement string (use $ syntax for capture groups)
  Returns:
    this

### rename

    CopyProcessingSpec rename(Pattern sourceRegEx,
                              String replaceWith)

  Renames files based on a regular expression. See `rename(String, String)`.

  Parameters:
    `sourceRegEx` - Source regular expression
    `replaceWith` - Replacement string (use $ syntax for capture groups)
  Returns:
    this

### getFileMode

    int getFileMode()

  Returns the Unix permissions to use for the target files. It is dependent on the copy action implementation whether these permissions will actually be applied.

  Returns:
    The file permissions.

### setFileMode

    CopyProcessingSpec setFileMode(int mode)

  Sets the Unix permissions to use for the target files. It is dependent on the copy action implementation whether these permissions will actually be applied.

  Parameters:
    `mode` - The file permissions.
  Returns:
    this

### getDirMode

    int getDirMode()

  Returns the Unix permissions to use for the target directories. It is dependent on the copy action implementation whether these permissions will actually be applied.

  Returns:
    The directory permissions.

### setDirMode

    CopyProcessingSpec setDirMode(int mode)

  Sets the Unix permissions to use for the target directories. It is dependent on the copy action implementation whether these permissions will actually be applied.

  Parameters:
    `mode` - The directory permissions.
  Returns:
    this

### eachFile

    CopyProcessingSpec eachFile(Action<? super FileCopyDetails> action)

  Adds an action to be applied to each file as it about to be copied into its destination. The action can change the destination path of the file, filter the contents of the file, or exclude the file from the result entirely. Actions are executed in the order added, and are inherited from the parent spec.

  Parameters:
    `action` - The action to execute.
  Returns:
    this

### eachFile

    CopyProcessingSpec eachFile(Closure closure)

  Adds an action to be applied to each file as it about to be copied into its destination. The given closure is called with a `FileCopyDetails` as its parameter. Actions are executed in the order added, and are inherited from the parent spec.

  Parameters:
    `closure` - The action to execute.
  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD